Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkZLibDataCompressor Class Reference

`#include <vtkZLibDataCompressor.h>`

Inheritance diagram for vtkZLibDataCompressor:

[legend]
Collaboration diagram for vtkZLibDataCompressor:

[legend]
List of all members.

## Detailed Description

Data compression using zlib.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkZLibDataCompressor provides a concrete vtkDataCompressor class using zlib for compressing and uncompressing data.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkZLibDataCompressor.cxx)`
  - .`h` (`/IO/vtkZLibDataCompressor.h)`

Tests:
  vtkZLibDataCompressor (Tests)

Definition at line 44 of file vtkZLibDataCompressor.h.

## Public Types
typedef vtkDataCompressor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMaximumCompressionSpace (unsigned long size)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkZLibDataCompressor * | SafeDownCast (vtkObject *o)
vtkZLibDataCompressor * | New ()
## Protected Methods
| vtkZLibDataCompressor ()
| ~vtkZLibDataCompressor ()
unsigned long | CompressBuffer (const unsigned char *uncompressedData, unsigned long uncompressedSize, unsigned char *compressedData, unsigned long compressionSpace)
unsigned long | UncompressBuffer (const unsigned char *compressedData, unsigned long compressedSize, unsigned char *uncompressedData, unsigned long uncompressedSize)

## Member Typedef Documentation

typedef vtkDataCompressor vtkZLibDataCompressor::Superclass

| Reimplemented from vtkDataCompressor. Definition at line 47 of file vtkZLibDataCompressor.h.

## Constructor & Destructor Documentation

vtkZLibDataCompressor::vtkZLibDataCompressor | ( |  | ) | `[protected]`

vtkZLibDataCompressor::~vtkZLibDataCompressor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkZLibDataCompressor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataCompressor.

int vtkZLibDataCompressor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataCompressor.

virtual int vtkZLibDataCompressor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataCompressor.

vtkZLibDataCompressor* vtkZLibDataCompressor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataCompressor.

void vtkZLibDataCompressor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataCompressor.

vtkZLibDataCompressor* vtkZLibDataCompressor::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

unsigned long vtkZLibDataCompressor::GetMaximumCompressionSpace | ( | unsigned long | size | ) | `[virtual]`

| Get the maximum space that may be needed to store data of the given uncompressed size after compression. This is the minimum size of the output buffer that can be passed to the four-argument Compress method. Implements vtkDataCompressor.

unsigned long vtkZLibDataCompressor::CompressBuffer | ( | const unsigned char * | uncompressedData,
|  | unsigned long | uncompressedSize,
|  | unsigned char * | compressedData,
|  | unsigned long | compressionSpace
| ) | `[protected, virtual]`

| Implements vtkDataCompressor.

unsigned long vtkZLibDataCompressor::UncompressBuffer | ( | const unsigned char * | compressedData,
|  | unsigned long | compressedSize,
|  | unsigned char * | uncompressedData,
|  | unsigned long | uncompressedSize
| ) | `[protected, virtual]`

| Implements vtkDataCompressor.

The documentation for this class was generated from the following file:

- IO/vtkZLibDataCompressor.h